function I=TrapComp(fname,a,b,n)
%fname: funzione da integrare
%a,b: estremi di integrazione
%n: numero di sottointervalli in cui e' diviso [a,b]

h=(b-a)/n;
nodi=[a:h:b];
f=feval(fname,nodi);
I=f(1)+f(n+1);
for i=2:n
    I=I+2*f(i);
end
I=I*h/2;